> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a context by externalId



## OpenAPI

````yaml /deploy/api/openapi.json get /api/v1/appuid/{appUid}/contexts/externalId/{externalId}
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/contexts/externalId/{externalId}:
    get:
      tags:
        - Contexts
      summary: Retrieve a context by externalId
      operationId: getContextByExternalId
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: externalId
          in: path
          description: Unique externalId of the context
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  uid:
                    type: string
                    description: Unique ID of the context
                  name:
                    type: string
                  description:
                    type: string
                  externalId:
                    type: string
                    description: Optional External ID of the context
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO 8601)
                    format: date-time
                  isSynced:
                    type: boolean
                    description: Is the context synced
                  externalTenantId:
                    type: string
                    description: External tenant identifier
        '404':
          description: Context not found
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````